Subject: Butterfly trading

From: [email-masked] (Kevin L. S. Drury)
Date: 10 May 1996 04:32:50 GMT

Hello,

I am a graduate student in biology.  I collect a wide variety of insects 
including Lepidopterans.  In order to learn about a larger number of 
butterflies and moths, I would like to trade common species from 
the mountains of Virginia for common species from your area.  

I label them and keep them according to standard protocol.  They are used 
to enhance awareness of insect diversity with children and adults (and to 
satisfy a strong personal interest!).  Subsequently, I only collect 
complete and representative specimens.  Damaged or faded specimens raise as 
many questions as they answer. 

If you are interested, please email me:  [email-masked].

Thanks,

Kevin